Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000034Bananian Linux[All Projects] Generalpublic2014-09-17 22:472015-03-09 17:12
ReporterNico 
Assigned ToNico 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version14.08 
Target Version15.04Fixed in Version15.04 
Summary0000034: disable ext4 journaling
Descriptionjournaling should be disabled...
Additional Informationhttp://blogofterje.wordpress.com/2012/01/14/optimizing-fs-on-sd-card/ [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000029)
guest (viewer)
2014-09-18 01:42

Does this change only affect the rootfs or all mounted ext4 filesystems? I would still like to use journaling for externally mounted drives (non-rootfs).

Can users enablie journaling again if they wish to? (E.g. by editing /etc/fstab.)
(0000030)
Nico (manager)
2014-09-18 08:23

This will only affect the root filesystem.

Backwards compatibility is very important to us. We will discuss this and try to find a solution for all users. Maybe it can be integrated in 'bananian-config'
(0000032)
guest (viewer)
2014-09-19 21:11

Please make it non mandatory.

I'm using my banana pi with a SSD and journaling is interesting to keep.

Thanks.
(0000100)
guest (viewer)
2014-11-26 09:39

It's just matter of default settings. It can be modified both ways with just one command. I believe most installations (dd) are made on SD cards.

It's basicly non-graceful shutdown resistance (I use without journal and didn't notice problems after a few instant power offs) vs. shorter SD card lifetime.
(0000171)
Nico (manager)
2015-03-09 17:12

ext4 journaling disabled for SD card in Bananian 15.04.
This will NOT be changed in existing installations!

- Issue History
Date Modified Username Field Change
2014-09-17 22:47 Nico New Issue
2014-09-17 22:47 Nico Status new => assigned
2014-09-17 22:47 Nico Assigned To => Nico
2014-09-17 22:48 Nico Summary disable ext4 jounraling => disable ext4 journaling
2014-09-17 23:13 Nico Additional Information Updated View Revisions
2014-09-18 01:42 guest Note Added: 0000029
2014-09-18 08:23 Nico Note Added: 0000030
2014-09-19 21:11 guest Note Added: 0000032
2014-09-28 13:07 Nico Target Version 14.11 => later
2014-11-26 09:39 guest Note Added: 0000100
2015-03-07 07:38 Nico Target Version later => 16.04
2015-03-09 16:32 Nico Target Version 16.04 => 15.04
2015-03-09 17:12 Nico Note Added: 0000171
2015-03-09 17:12 Nico Status assigned => resolved
2015-03-09 17:12 Nico Fixed in Version => 15.04
2015-03-09 17:12 Nico Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker